using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CatProject
{
    /// <summary>
    /// Логика взаимодействия для WindowAuto.xaml
    /// </summary>
    public partial class WindowAuto : Window
    {
        public WindowAuto()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            int password = TBPassword.Password.GetHashCode();
            User user = BaseClass.BaseConnect.User.FirstOrDefault(x => x.Login == TBLogin.Text && x.Password == password);
            if (user!=null)
            {
                FrameClass.MainFrame.Navigate(new PersonalPage(user.id));
            }
            else
            {
                MessageBox.Show("Пользователь не найден");
            }
            this.Close();
           
        }
    }
}
